> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity Onboarding Status (Banking Connectivity)

Retrieve the current status of an entity onboarding. See [Onboarding statuses](/reference/banking-connectivity#onboarding-statuses) for the full status lifecycle.


## OpenAPI

````yaml openapi/banking-connectivity/entity-onboarding-banking-connectivity/get-entity-onboarding-status.json GET /banking/entities/{entity_id}/onboardings/{onboarding_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Banking Connectivity
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /banking/entities/{entity_id}/onboardings/{onboarding_id}:
    get:
      tags:
        - Entity Onboarding (Banking Connectivity)
      summary: Get Entity Onboarding Status (Banking Connectivity)
      operationId: get_v1-banking-connectivity-entities-entity-id-onboardings-onboarding-id
      parameters:
        - in: path
          name: entity_id
          schema:
            type: string
          required: true
          description: >-
            The `id` of the entity obtained from [Create
            Entity](/reference/create-entity).
        - in: path
          name: onboarding_id
          schema:
            type: string
          required: true
          description: >-
            The `id` of the onboarding obtained from [Create Entity
            Onboarding](/reference/create-entity-onboarding).
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                Pending:
                  summary: Pending
                  value:
                    id: onb_990e8400-e29b-41d4-a716-446655440000
                    entity_id: ent_660e8400-e29b-41d4-a716-446655440000
                    yuno_account_id: 550e8400-e29b-41d4-a716-446655440000
                    provider:
                      entity_id: col_entity_onboarded_123
                      status: verification_pending
                    onboarding_type: ONE_STEP
                    status: PENDING
                    requirements: []
                    created_at: '2026-02-01T10:00:00Z'
                    updated_at: '2026-02-01T10:00:00Z'
                    expires_at: '2026-02-08T10:00:00Z'
                Succeeded:
                  summary: Succeeded
                  value:
                    id: onb_990e8400-e29b-41d4-a716-446655440000
                    entity_id: ent_660e8400-e29b-41d4-a716-446655440000
                    yuno_account_id: 550e8400-e29b-41d4-a716-446655440000
                    provider:
                      entity_id: col_entity_onboarded_123
                      status: active
                    onboarding_type: ONE_STEP
                    status: SUCCEEDED
                    requirements: []
                    created_at: '2026-02-01T10:00:00Z'
                    updated_at: '2026-02-03T14:30:00Z'
                    expires_at: '2026-02-08T10:00:00Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: onb_990e8400-e29b-41d4-a716-446655440000
                  entity_id:
                    type: string
                    example: ent_660e8400-e29b-41d4-a716-446655440000
                  yuno_account_id:
                    type: string
                    example: 550e8400-e29b-41d4-a716-446655440000
                  provider:
                    type: object
                    properties:
                      entity_id:
                        type: string
                        example: col_entity_onboarded_123
                      status:
                        type: string
                        example: verification_pending
                  onboarding_type:
                    type: string
                    example: ONE_STEP
                  status:
                    type: string
                    example: PENDING
                  requirements:
                    type: array
                    items:
                      type: object
                      properties: {}
                  created_at:
                    type: string
                    example: '2026-02-01T10:00:00Z'
                  updated_at:
                    type: string
                    example: '2026-02-01T10:00:00Z'
                  expires_at:
                    type: string
                    example: '2026-02-08T10:00:00Z'
        '404':
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    code: ONBOARDING_NOT_FOUND
                    messages:
                      - Onboarding not found
                    http_code: 404
          description: Not Found
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````